org.bdgenomics.adam.rdd.read

# IncorrectMDTagException

#### case class IncorrectMDTagException(read: AlignmentRecord, mdTag: String) extends Exception with Product with Serializable

A class describing an exception where a read's MD tag was recomputed and did not match the MD tag originally attached to the read.

read

  The read whose MD tag was recomputed, with original MD tag.

mdTag

  The recomputed MD tag.

Linear Supertypes
Serializable, Product, Equals, Exception, Throwable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. IncorrectMDTagException
2. Serializable
3. Product
4. Equals
5. Exception
6. Throwable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new IncorrectMDTagException(read: AlignmentRecord, mdTag: String)

   read

     The read whose MD tag was recomputed, with original MD tag.

   mdTag

     The recomputed MD tag.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def addSuppressed(arg0: Throwable): Unit

   Definition Classes
     Throwable

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def fillInStackTrace(): Throwable

    Definition Classes
      Throwable

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def getCause(): Throwable

    Definition Classes
      Throwable

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def getLocalizedMessage(): String

    Definition Classes
      Throwable

15. #### def getMessage(): String

    Definition Classes
      IncorrectMDTagException → Throwable

16. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Throwable

17. #### final def getSuppressed(): Array[Throwable]

    Definition Classes
      Throwable

18. #### def initCause(arg0: Throwable): Throwable

    Definition Classes
      Throwable

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### val mdTag: String

    The recomputed MD tag.

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def printStackTrace(arg0: PrintWriter): Unit

    Definition Classes
      Throwable

25. #### def printStackTrace(arg0: PrintStream): Unit

    Definition Classes
      Throwable

26. #### def printStackTrace(): Unit

    Definition Classes
      Throwable

27. #### val read: AlignmentRecord

    The read whose MD tag was recomputed, with original MD tag.

28. #### def setStackTrace(arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      Throwable → AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped